Elavon Only: Digital Wallet Authorizations
Elavon supports Samsung Pay digital wallet transactions. A Samsung Pay digital wallet uses tokenization to prevent sensitive card data from being exposed or intercepted during transactions. A token is generated when a user adds a supported card to their Samsung Pay digital wallet.
Elavon supports 3-D Secure 2.2 with Diners Club, Mastercard, and Visa card transactions.
Supported processors: Elavon
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Without 3-D Secure
When 3-D Secure is not used, the transaction ID is automatically populated with the cryptogram value.
Follow these steps to request a Samsung Pay payment on a supported card without 3-D Secure authentication:
Create the request message with the required REST API fields. These REST API fields are specific to this request payload:
merchantInformation.merchantDomainpaymentInformation.tokenizedCard.cryptogrampaymentInformation.tokenizedCard.transactionTypeprocessingInformation.commerceIndicatorprocessingInformation.paymentSolution
Send the message to the endpoint listed in the Endpoints section.
Verify the response messages to make sure that the request was successful. A 200-level HTTP response code indicates success.
If the response message contains errors, see Common Error Responses.
Example
{ "clientReferenceInformation": { "code": "MC-NO3DS-SAMSUNGPAY-004" }, "orderInformation": { "amountDetails": { "totalAmount": "67.50", "currency": "EUR" }, "billTo": { "firstName": "Hans", "lastName": "Mueller", "address1": "Alexanderplatz 1", "locality": "Berlin", "postalCode": "10178", "country": "DE", "email": "[email protected]", "phoneNumber": "+49-30-12345678" } }, "paymentInformation": { "tokenizedCard": { "cryptogram": "CwABBJQ0AgAAAAAgJDUCAAAAAAA=", "transactionType": "1", "expirationMonth": "04", "expirationYear": "2028", "type": "002" } }, "processingInformation": { "paymentSolution": "008", "commerceIndicator": "internet" }, "merchantInformation": { "merchantId": "demo_merchant_12345" }}These REST API fields are required to request authorization of a Samsung Pay digital wallet payment without 3-D Secure authentication.
| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
merchantInformation.merchantId | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
orderInformation.billTo.address1 | ||
orderInformation.billTo.administrativeArea | ||
orderInformation.billTo.country | ||
orderInformation.billTo.email | ||
orderInformation.billTo.firstName | ||
orderInformation.billTo.lastName | ||
orderInformation.billTo.locality | ||
orderInformation.billTo.phoneNumber | ||
orderInformation.billTo.postalCode | ||
paymentInformation.tokenizedCard.cryptogram | Set the value to the network token cryptogram from Samsung Pay. | |
paymentInformation.tokenizedCard.expirationMonth | ||
paymentInformation.tokenizedCard.expirationYear | ||
paymentInformation.tokenizedCard.transactionType | Set the value to 1 for network tokens. | |
paymentInformation.tokenizedCard.type | Set the value to the card type code: 001 for Visa, 002 for Mastercard, 005 for Diners Club. | |
processingInformation.commerceIndicator | Set the value to internet for a Diners Club, Discover, and Visa card for an authorization request without 3-D Secure authentication. | |
processingInformation.paymentSolution | Set the value to 008 for Samsung Pay digital wallet transactions. |
With 3-D Secure 2.2
Follow these steps to authorize a Samsung Pay payment on a supported card with 3-D Secure authentication:
Create the request message with the required REST API fields. These REST API fields are specific to this payload:
merchantInformation.merchantDomainconsumerAuthenticationInformation.cavv— Diners Club and Visa onlyconsumerAuthenticationInformation.ucafAuthenticationData— Mastercard onlyconsumerAuthenticationInformation.ucafCollectionIndicator— Mastercard onlypaymentInformation.tokenizedCard.cryptogrampaymentInformation.tokenizedCard.transactionTypepaymentInformation.tokenizedCard.typeprocessingInformation.commerceIndicatorprocessingInformation.paymentSolutionprocessingInformation.paymentNetworkTokenTransactionType
Send the message to the endpoint listed in the Endpoints section.
Verify the response messages to make sure that the request was successful. A 200-level HTTP response code indicates success.
Example
{ "clientReferenceInformation": { "code": "DINERS-3DS-SAMSUNGPAY-006" }, "orderInformation": { "amountDetails": { "totalAmount": "199.00", "currency": "EUR" }, "billTo": { "firstName": "Pierre", "lastName": "Dubois", "address1": "15 Rue de la Paix", "locality": "Paris", "postalCode": "75001", "country": "FR", "email": "[email protected]", "phoneNumber": "+33-1-42-96-12-34" } }, "paymentInformation": { "tokenizedCard": { "cryptogram": "BwABBJQ0AgAAAAAgJDUCAAAAAAA=", "transactionType": "1", "expirationMonth": "08", "expirationYear": "2027", "type": "005" } }, "consumerAuthenticationInformation": { "cavv": "BgABBJQ0AgAAAAAgJDUCAAAAAA=", "directoryServerTransactionId": "8a2+89r+vs8fsc8w+v+79y==", "paSpecificationVersion": "2.2.0" }, "processingInformation": { "paymentSolution": "008", "commerceIndicator": "pb" }, "merchantInformation": { "merchantId": "demo_merchant_12345" }}These REST API fields are required to request authorization of a Samsung Pay digital wallet payment with 3-D Secure authentication.
| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
consumerAuthenticationInformation.cavv | For Diners Club and Visa cards only: set this value to the universal cardholder authentication number to indicate 3-D Secure authentication. | |
consumerAuthenticationInformation.directoryServerTransactionId | ||
consumerAuthenticationInformation.paSpecificationVersion | ||
consumerAuthenticationInformation.ucafAuthenticationData | For Mastercard transactions only: set this value to the universal cardholder authentication field (UCAF) data to indicate 3-D Secure authentication. | |
consumerAuthenticationInformation.ucafCollectionIndicator | For Mastercard transactions only, set this field to one of these values: 2 (UCAF collection is supported on your website and the UCAF was populated; indicates a successful Mastercard Identity Check transaction) or 6 (UCAF collection is supported on your website and the UCAF was populated based on the risk assessment that you performed; supported only for Masterpass transactions). | |
merchantInformation.merchantId | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
orderInformation.billTo.address1 | ||
orderInformation.billTo.country | ||
orderInformation.billTo.email | ||
orderInformation.billTo.firstName | ||
orderInformation.billTo.lastName | ||
orderInformation.billTo.locality | ||
orderInformation.billTo.phoneNumber | ||
orderInformation.billTo.postalCode | ||
paymentInformation.tokenizedCard.cryptogram | Set the value to the network token cryptogram from Samsung Pay. | |
paymentInformation.tokenizedCard.expirationMonth | ||
paymentInformation.tokenizedCard.expirationYear | ||
paymentInformation.tokenizedCard.transactionType | Set the value to 1. | |
paymentInformation.tokenizedCard.type | Set the value to the card type code: 001 for Visa, 002 for Mastercard, 005 for Diners Club. | |
processingInformation.commerceIndicator | Set the value to the code for the 3-D Secure authentication service: pb for Diners Club ProtectBuy, spa for Mastercard Identity Check, vbv for Visa Secure. | |
processingInformation.paymentSolution | Set the value to 008 for Samsung Pay digital wallet transactions. |
Common Error Responses
This section lists common error responses to transaction requests without 3-D Secure authentication.
3DS ECI provided for non-3DS transaction
Cause: Invalid e-commerce indicator for a transaction that does not use 3-D Secure.
Resolution: Make sure the processingInformation.commerceIndicator field is set to internet to indicate a transaction without 3-D Secure authentication. You could also omit the field from your request and let the gateway assign the value.
Authentication data present in non-3DS transaction
Cause: Conflicting authentication data.
Resolution: Remove the cardholder authentication data, which is used for transactions with 3-D Secure:
- Remove the
consumerAuthenticationInformation.cavvfield (for Diners Club or Visa cards). - Remove the
consumerAuthenticationInformation.ucafAuthenticationDatafield (for Mastercard only).
Digital wallet transaction missing required cryptogram
Cause: Missing or invalid cryptogram.
Resolution: Make sure the paymentInformation.tokenizedCard.cryptogram field is populated with the correct value.
Thanks for your feedback!
Last published: September 29, 2026